Submit Shorten Task
Analyze a prompt and return a shortened version to optimize long prompts.
POST
/mj/submit/shortenBody Parametersapplication/json
botType string
Bot type
notifyHook string
Callback URL
prompt* string
Prompt to shorten
state string
Custom pass-through state
Responses
200 success application/json
response-200 object
properties code integer
Status code: 1=submitted, 21=queued, 22=already exists, 24=invalid parameters
description string
Status description
properties object
Extended properties
result string
Task ID
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"botType": "MID_JOURNEY",
3"prompt": "a very beautiful and majestic white horse with flowing mane running through an enchanted mystical forest with golden rays of sunlight filtering through the ancient tall trees"
4}
1curl -X POST "https://api.digislash.com/mj/submit/shorten" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"botType": "MID_JOURNEY",
6"prompt": "a very beautiful and majestic white horse with flowing mane running through an enchanted mystical forest with golden rays of sunlight filtering through the ancient tall trees"
7}'
1▼{
2"code": 1,
3"description": "提交成功",
4"properties": {},
5"result": "1743326750223591"
6}
